Skip to main content
GET
/
v1
/
webhooks
/
{id}
Get Webhook Subscription
curl --request GET \
  --url https://api.example.com/v1/webhooks/{id} \
  --header 'X-API-Key: <api-key>'
{
  "created_at": "2024-01-15T10:30:00Z",
  "description": "Production webhook endpoint",
  "event_types": [
    "patient_created",
    "patient_stage_changed"
  ],
  "id": "550e8400-e29b-41d4-a716-446655440016",
  "is_active": true,
  "updated_at": "2024-01-15T10:30:00Z",
  "url": "https://example.com/webhooks/solum"
}

Authorizations

X-API-Key
string
header
required

Path Parameters

id
string
required

Response

Successful Response

Webhook subscription resource.

Represents a webhook endpoint configuration for receiving events.

id
string<uuid>
required
url
string
required
event_types
string[]
required
is_active
boolean
required
company_id
string
required
created_at
string | null
required
updated_at
string | null
required
description
string | null
secret_key
string | null